Skip to main content
GET
/
categories
List categories
curl --request GET \
  --url https://app.finta.com/api/v1/categories \
  --header 'Authorization: Bearer <token>'
{ "object": "list", "url": "/api/v1/categories", "data": [ { "id": "cat_a1b2c3d4e5f6g7", "object": "category", "name": "People Expenses", "account_type": "expense", "tier": 1, "position": 2, "parent_id": null, "created": 1688053841 }, { "id": "cat_h8i9j0k1l2m3n4", "object": "category", "name": "Payroll", "account_type": "expense", "tier": 1, "position": 1, "parent_id": "cat_a1b2c3d4e5f6g7", "created": 1688053841 }, { "id": "cat_o5p6q7r8s9t0u1", "object": "category", "name": "Software", "account_type": "expense", "tier": 1, "position": 3, "parent_id": null, "created": 1688053841 }, { "id": "cat_v2w3x4y5z6a7b8", "object": "category", "name": "Hosting", "account_type": "expense", "tier": 1, "position": 1, "parent_id": "cat_o5p6q7r8s9t0u1", "created": 1688053841 } ] }

Documentation Index

Fetch the complete documentation index at: https://www.finta.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with finta_

Response

A list of categories

object
enum<string>
required
Available options:
list
url
string
required

The canonical path of the collection, relative to the API host.

Example:

"/api/v1/categories"

data
object[]
required